App\Entity\HotspotProduit:
    type: entity
    repositoryClass: App\Repository\HotspotProduitRepository
    table: hotspot_produit
    uniqueConstraints:
        uniq_hotspot_produit:
            columns: [ hotspot_id, produit_id ]
    indexes:
        idx_hotspot_produit_hotspot:
            columns: [ hotspot_id ]
        idx_hotspot_produit_produit:
            columns: [ produit_id ]
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        defaultQty:
            type: float
            nullable: false
            column: default_qty
        sortOrder:
            type: integer
            nullable: false
            options:
                default: 0
            column: sort_order
    manyToOne:
        hotspot:
            targetEntity: Hotspot
            cascade: {  }
            mappedBy: null
            inversedBy: hotspotProduits
            joinColumns:
                hotspot_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                produit_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
